#include <stdio.h>
#include <stdlib.h>
#include <iostream>

#include <time.h>
#include <stdarg.h>
#include <stdlib.h>
#include <stdio.h>
#include <windows.h>


int main()
{
    
    char cmd[512];
    char name1[512], name2[512];
    int numFiles;
    FILE * lista = fopen("lista.txt","r");
    fscanf(lista,"%d",&numFiles);
    
    for (int i = 0; i< numFiles; i++)
    {
     fscanf(lista,"%s %s",name1, name2);    
     for (float max = 1.0; max<=5.0; max++)
     {
        sprintf(cmd,"geraCampo.exe %s pgm %f",name1,max);
        system(cmd);
        for (float alpha = 1.0; alpha<=64.0; alpha*=2)
        {
             sprintf(cmd,"HornShunck.exe %s %s %f 8 400 %f",name1,name2,alpha,max);
             system(cmd);             
             Sleep(10000);
        }
        
     }
    }
    
        
    return 0;
}
